Skip to content
Start here

Fetch all presets

realtime_kit.presets.get(strapp_id, PresetGetParams**kwargs) -> PresetGetResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/presets

Fetches all the presets belonging to an App.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
page_no: Optional[float]

The page number from which you want your page search results to be displayed.

minimum0
per_page: Optional[float]

Number of results per page

minimum0
ReturnsExpand Collapse
class PresetGetResponse:
data: List[Data]
id: Optional[str]

ID of the preset

formatuuid
created_at: Optional[datetime]

Timestamp this preset was created at

formatdate-time
name: Optional[str]

Name of the preset

updated_at: Optional[datetime]

Timestamp this preset was last updated

formatdate-time
paging: Paging
end_offset: float
start_offset: float
total_count: float
minimum0
success: bool

Fetch all presets

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
preset = client.realtime_kit.presets.get(
    app_id="app_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(preset.data)
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}